Unit tzf13r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF13R_p, ZF13R_p;

function tzf13r: String; 

implementation

function tzf13r: String;
var
NDIG,ITMAX,N,_i,IERR :Integer;
EPS1,EPS,EPS2 :Real;
ROOT :Array [0..1] of Real;
begin
Result := '';
NDIG := 5;
EPS1 := 0.00001;
ITMAX := 100;
EPS := EPS1;
EPS2 := 0.01;
ROOT[0] := 4.6;
ROOT[1] := -193.3;
N := 2;
ZF13R(FZF13R,N,EPS,NDIG,EPS1,EPS2,ROOT,ITMAX,IERR);
Result := Result + Format(' %10d %20.16f %20.16f %20.16f %10d %10d %10d',[N,EPS,EPS1,EPS2,NDIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[ROOT[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf13r',Result);  //    tzf13r.res
exit;
end;

end.
